aboutsummaryrefslogtreecommitdiffstats
path: root/testing/partimage/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-10-12 09:35:08 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-10-12 09:35:08 +0000
commit82edb551f7a8d79d394904fc9b972839b476c273 (patch)
treeff42c3358d949e59c65f9d89fba3e342c48bc3dd /testing/partimage/APKBUILD
parent3dd3c24b9b0a8de7f4baf5b26473d4468a355b63 (diff)
downloadaports-82edb551f7a8d79d394904fc9b972839b476c273.tar.gz
aports-82edb551f7a8d79d394904fc9b972839b476c273.tar.bz2
aports-82edb551f7a8d79d394904fc9b972839b476c273.tar.xz
testing/partimage: new aport
Diffstat (limited to 'testing/partimage/APKBUILD')
-rw-r--r--testing/partimage/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/partimage/APKBUILD b/testing/partimage/APKBUILD
new file mode 100644
index 0000000000..8ee6c8004a
--- /dev/null
+++ b/testing/partimage/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=partimage
+pkgver=0.6.8
+pkgrel=0
+pkgdesc="Saves partitions having a supported filesystem to an image file"
+url="http://www.partimage.org"
+license="GPL"
+depends=
+makedepends="bzip2-dev newt-dev zlib-dev gettext-dev slang-dev openssl-dev \
+ newt-dev autoconf"
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/$pkgname/stable/$pkgver/$pkgname-$pkgver.tar.bz2
+ partimage-0.6.8-gcc44.patch
+"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i $srcdir/$pkgname-0.6.8-gcc44.patch || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export LIBS="$LIBS -lintl"
+ autoconf && automake
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-nls
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="c13c8ede8cdf7745b97ec5827920ece7 partimage-0.6.8.tar.bz2
+a6430cf98c8f236c41dd3addcde1fcb8 partimage-0.6.8-gcc44.patch"